# wxHtmlCellEvent Class Reference
[HTML]

`#include <wx/html/htmlwin.h>`

Inheritance diagram for wxHtmlCellEvent:
[legend]

## Detailed Description

This event class is used for the events generated by wxHtmlWindow.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxHtmlCellEvent& event)
Event macros:

- EVT_HTML_CELL_HOVER(id, func):
  User moved the mouse over a wxHtmlCell.
- EVT_HTML_CELL_CLICKED(id, func):
  User clicked on a wxHtmlCell. When handling this event, remember to use wxHtmlCell::SetLinkClicked(true) if the cell contains a link.

##

Library: wxHTML

Category: HTML

## Public Member Functions
| wxHtmlCellEvent (wxEventType commandType, int id, wxHtmlCell *cell, const wxPoint &point, const wxMouseEvent &ev)
| The constructor is not normally used by the user code.
wxHtmlCell * | GetCell () const
| Returns the wxHtmlCellEvent associated with the event.
bool | GetLinkClicked () const
| Returns true if SetLinkClicked(true) has previously been called; false otherwise.
wxPoint | GetPoint () const
| Returns the wxPoint associated with the event.
void | SetLinkClicked (bool linkclicked)
| Call this function with linkclicked set to true if the cell which has been clicked contained a link or false otherwise (which is the default).

List of all members.

## Constructor & Destructor Documentation

wxHtmlCellEvent::wxHtmlCellEvent | ( | wxEventType | commandType,
|  | int | id,
|  | wxHtmlCell * | cell,
|  | const wxPoint & | point,
|  | const wxMouseEvent & | ev |
| ) |  |  |

The constructor is not normally used by the user code.

## Member Function Documentation

wxHtmlCell* wxHtmlCellEvent::GetCell | ( |  | ) | const

Returns the wxHtmlCellEvent associated with the event.

bool wxHtmlCellEvent::GetLinkClicked | ( |  | ) | const

Returns true if SetLinkClicked(true) has previously been called; false otherwise.

wxPoint wxHtmlCellEvent::GetPoint | ( |  | ) | const

Returns the wxPoint associated with the event.

void wxHtmlCellEvent::SetLinkClicked | ( | bool | linkclicked | ) |

Call this function with linkclicked set to true if the cell which has been clicked contained a link or false otherwise (which is the default).

With this function the event handler can return info to the wxHtmlWindow which sent the event.

|  | [ top ]